## sphinx 5.3.0

=== debian/changelog ===
sphinx (5.3.0-7) unstable; urgency=medium

  * Backport upstream patch to fix bad relative path generated by imgmath
    (closes: #1043267).
  * Disable sphinx-doc test on arm64 and armhf.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 12 Aug 2023 00:33:27 +0300

sphinx (5.3.0-6) unstable; urgency=medium

  * Update highlight_search_terms.diff to highlight terms synchronously,
    to make the jstest more stable.
  * Limit sphinx-doc test to architectures where Qt WebEngine is available.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Aug 2023 18:43:13 +0300

sphinx (5.3.0-5) unstable; urgency=medium

  * Add a patch to make test_build_manpage pass with docutils 0.19+dfsg-7.
  * debian/jstest: Port from WebKitGTK to Qt WebEngine. This will allow us
    to run tests on Debian infrastructure again, as Qt WebEngine does not
    require isolation-machine.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Aug 2023 00:07:27 +0300

sphinx (5.3.0-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update highlight_search_terms.diff to fix race condition affecting jstest:
    - Highlight all occurrences, not just the first one.
    - Stop using the old search query from localstorage.
  * Port jstest to the new API from webkit2gtk 2.40 (closes: #1033635,
    LP: #2013095).

  [ Jeremy Bicha ]
  * Set isolation-machine for sphinx-doc autopkgtest. This is needed for web
    process sandbox, which is now mandatory.
  * debian/tests/sphinx-doc: Set export GTK_A11Y=none.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 29 Mar 2023 11:31:27 +0300

sphinx (5.3.0-3) unstable; urgency=medium

  * Backport upstream patch to update tests for Pygments 2.14
    (closes: #1028621).
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 Jan 2023 14:04:03 +0400

sphinx (5.3.0-2) unstable; urgency=medium

  * Build with pybuild-plugin-pyproject (closes: #1025398).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 05 Dec 2022 21:41:01 +0300

sphinx (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patches for the new release.
  * Build-depend on flit.
  * Let flit install scripts to /usr/bin and reverse symlinks.
  * Update debian/dh-sphinxdoc/index.
  * Remove sphinx/locale/.tx directory from python3-sphinx.
  * Add a patch to highlight all search terms on search results page.
  * Update numbers in debian/jstest/run-tests.
  * Port jstest to GTK 4.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Oct 2022 17:29:19 +0300

sphinx (5.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Jul 2022 10:45:51 +0300

sphinx (5.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove python3-importlib-metadata dependency again.
    No longer needed because Debian dropped support for Python 3.9.
  * Drop no_external_image.diff, indexsidebar.html has been removed.
  * Refresh other patches.
  * Update debian/source/lintian-overrides for Lintian pointed hints.
  * Remove copyright section for no longer shipped porter.py.
  * Update numbers in debian/jstest/run-tests.
  * Bump python3-sphinx-tabs broken version to << 3.4.0.
  * Add Adam Turner's key to debian/upstream/signing-key.asc.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Jul 2022 18:35:01 +0300

sphinx (5.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
    - Drop definfoenclose.diff, included in the new release.
  * Use utils/babel_runner.py for compiling the translation files.
  * Update debian/dh-sphinxdoc/index for the new version:
    - Add _sphinx_javascript_frameworks_compat.js.
    - Bump min-version to 5.0 for JS files that changed significantly.
  * Parse the whole Search.setIndex argument as JSON.
  * Add Sphinx.egg-info/entry_points.txt to debian/clean.
  * Run JS tests with a real GTK window. Searchtools.js relies on setTimeout
    to load every new search result, and WebKitGTK sets timeout to 1 second
    after 5th request when the page is invisible. We have many search results,
    so we get a timeout error unless we make it visible.
  * Update numbers in debian/jstest/run-tests.
  * Update debian/copyright.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 16 Jun 2022 20:56:55 +0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export NO_PKG_MANGLE=1
export LC_ALL=C.UTF-8
export PYTHONWARNINGS=d

export PYBUILD_TEST_ARGS=--verbose --ignore tests/test_api_translator.py

locales = $(notdir $(patsubst %/LC_MESSAGES,%,$(wildcard sphinx/locale/*/LC_MESSAGES)))

debroot = debian/tmp/
py3_libdir = /usr/lib/$(shell py3versions -d)/dist-packages
py3_builddir = $(shell pybuild --print build_dir --interpreter python3)
javascript_path = /usr/share/javascript/sphinxdoc/1.0/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	ln -sf /usr/share/javascript/jquery/jquery.js sphinx/themes/basic/static/jquery.js
	ln -sf /usr/share/javascript/underscore/underscore.js sphinx/themes/basic/static/underscore.js
	dh_auto_build
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	PYTHONPATH=$(py3_builddir) python3 ./sphinx/cmd/build.py -T doc build/html/
	find build/html/ -name '*.txt' -or -name '*.html' | xargs -L1 sed -i \
		's!http://docutils.sourceforge.net/docs/!file:///usr/share/doc/docutils-doc/docs/!g'
	PYTHONPATH=$(py3_builddir) python3 ./sphinx/cmd/build.py -T -b man doc build/man
endif
	PYTHONPATH=$(py3_builddir) python3 ./utils/babel_runner.py compile

override_dh_auto_install:
	pybuild --install -p $(shell py3versions -vd)
	# move static files outside dist-packages
	sed -i -e "s!^package_dir = .*!package_dir = '/usr/share/sphinx'!" \
		$(debroot)$(py3_libdir)/sphinx/__init__.py
	mkdir -p $(debroot)/usr/share/sphinx
	cd $(debroot) && mv -t usr/share/sphinx/ \
		.$(py3_libdir)/sphinx/templates \
		.$(py3_libdir)/sphinx/texinputs \
		.$(py3_libdir)/sphinx/themes
	mkdir -p $(debroot)/usr/share/sphinx/ext/autosummary/
	cd $(debroot) && mv -t usr/share/sphinx/ext/autosummary/ \
		.$(py3_libdir)/sphinx/ext/autosummary/templates
	mkdir -p $(debroot)/usr/share/sphinx/search/
	cd $(debroot) && mv -t usr/share/sphinx/search/ \
		.$(py3_libdir)/sphinx/search/minified-js \
		.$(py3_libdir)/sphinx/search/non-minified-js
	set -e -x; \
	cd $(debroot) && \
		for lang in $(locales); \
		do \
			install -m 644 -D $(CURDIR)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.js \
				usr/share/sphinx/locale/$$lang/sphinx.js; \
			install -m 644 -D $(CURDIR)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.mo \
				usr/share/locale/$$lang/LC_MESSAGES/sphinx.mo; \
		done
	cd $(debroot)$(py3_libdir)/sphinx/locale && rm -rf sphinx.pot */
	# Move JavaScript code to libjs-sphinxdoc:
	PYTHONPATH=$(py3_builddir) debian/dh-sphinxdoc/install-js debian/libjs-sphinxdoc$(javascript_path)
	rm -f $(debroot)/usr/share/sphinx/themes/bizstyle/static/css3-mediaqueries_src.js
	set -e; \
	for js in $$(find $(debroot)/usr/share/sphinx/themes/ -name '*.js' -a '!' -name 'websupport.js'); do \
		mv $$js debian/libjs-sphinxdoc/$(javascript_path); \
		ln -sf "$(javascript_path)/$${js##*/}" $$js; \
	done

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_installdocs:
	dh_installdocs
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	./debian/dh-sphinxdoc/dh_sphinxdoc -p sphinx-doc /usr/share/doc/sphinx-doc/html/
endif

override_dh_installman:
	cd debian/dh-sphinxdoc/ && pod2man -c Debhelper -r '' dh_sphinxdoc dh_sphinxdoc.1
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	dh_installman
endif

override_dh_compress:
	dh_compress -X.py -X.rst -X.json -X.txt

=== debian/tests/control ===
Tests: python3-sphinx
Depends: dvipng,
         fonts-freefont-otf,
         graphviz,
         imagemagick-6.q16,
         librsvg2-bin,
         python3-all,
         python3-html5lib,
         python3-pytest,
         python3-setuptools,
         python3-sphinx,
         python3-sphinxcontrib.websupport,
         python3-sqlalchemy (>= 0.9),
         python3-whoosh,
         python3-xapian,
         tex-gyre,
         texinfo,
         texlive-fonts-recommended,
         texlive-latex-extra,
         texlive-luatex,
         texlive-xetex

Tests: sphinx-doc
Depends: python3-pyqt6.qtwebengine, sphinx-doc, xauth, xvfb
Restrictions: allow-stderr
Architecture: amd64 i386

## sphinx 7.2.6

=== debian/changelog ===
sphinx (7.2.6-6~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 22 Mar 2024 08:46:38 +0000

sphinx (7.2.6-6) unstable; urgency=medium

  * Break old versions of python-flask-restful-doc and python-pylatex-doc
    (closes: #1067424).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 22 Mar 2024 00:19:02 +0300

sphinx (7.2.6-5) unstable; urgency=medium

  * Remove unused python3-distutils dependency (closes: #1065959).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 11 Mar 2024 11:29:30 +0300

sphinx (7.2.6-4) unstable; urgency=medium

  * dh_sphinxdoc: Support zzzeeksphinx’ new way of setting content_root.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Feb 2024 20:08:39 +0300

sphinx (7.2.6-3) unstable; urgency=medium

  * Add a patch to fix build with Python 3.11.7+ (closes: #1058303).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 19 Dec 2023 13:34:25 +0300

sphinx (7.2.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 05 Nov 2023 15:54:03 +0300

sphinx (7.2.6-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 16 Sep 2023 16:57:25 +0300

sphinx (7.2.5-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream:
    - timegm.diff
    - include_normalize_path.diff

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 02 Sep 2023 20:41:15 +0300

sphinx (7.2.3-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - highlight_search_terms.diff
    - dont_hardcode_checksum.diff
    - deterministic_default.diff
  * Refresh and rebase other patches.
  * Bump required python3-pygments version to 2.14.
  * dh_sphinxdoc: Look for content_root data attribute, not url_root.
  * Bump minimum versions in debian/dh-sphinxdoc/index.
  * Update numbers in debian/jstest/run-tests.
  * Amend support_old_search_indexes.diff to also support old search.html
    templates which don't have data-content_root.
  * Add a patch to use calendar.timegm() to convert UTC time to UNIX epoch.
  * Add a patch to make tests pass when run from /tmp.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 26 Aug 2023 23:45:20 +0300

sphinx (7.1.2-2) experimental; urgency=medium

  * Merge 5.3.0-7 upload from unstable.
  * debian/tests/sphinx-doc: Remove no longer needed "export GTK_A11Y=none".
  * Update highlight_search_terms.diff to version which was applied upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 13 Aug 2023 12:55:53 +0300

sphinx (7.1.2-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 03 Aug 2023 12:46:26 +0300

sphinx (7.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch:
    - Support lowercase file name of the tarball.
    - Stop validating signature, PyPI no longer supports them.
  * Refresh patches for the new release.
  * Add a patch to not hardcode expected JS/CSS checksums in tests.
  * Backport upstream patch to avoid using builddir-based path as a default
    value of a function argument (closes: #1025801).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 29 Jul 2023 20:21:49 +0300

sphinx (7.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches:
    - disable_js_version_check.diff (no longer needed)
    - pygments_2.14.diff (included in the new release)
  * Refresh and rebase other patches.
  * Bump required versions: docutils to 0.18.1, requests to 2.25.
  * Update debian/copyright.
  * Remove references to no longer shipped jquery.js and underscore.js.
  * Depend on python3-filelock for tests.
  * Mark python3-html5lib and python3-pytest build-deps as <!nocheck>.
  * dh_sphinxdoc: Generate direct dependencies on libjs-jquery and
    libjs-underscore for packages shipping jquery.js or underscore.js.
  * debian/jstest:
    - Switch from jQuery to native JavaScript API.
    - Update numbers for the new release.
    - Port from WebKitGTK to Qt WebEngine. This will allow us to run tests
      on Debian infrastructure again, as Qt WebEngine does not require
      isolation-machine.
  * Break old versions of sphinx-rtd-theme.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 May 2023 19:14:25 +0300

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,6 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
-	ln -sf /usr/share/javascript/jquery/jquery.js sphinx/themes/basic/static/jquery.js
-	ln -sf /usr/share/javascript/underscore/underscore.js sphinx/themes/basic/static/underscore.js
 	dh_auto_build
 ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
 	PYTHONPATH=$(py3_builddir) python3 ./sphinx/cmd/build.py -T doc build/html/

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
          imagemagick-6.q16,
          librsvg2-bin,
          python3-all,
+         python3-filelock,
          python3-html5lib,
          python3-pytest,
          python3-setuptools,

## sphinx 7.3.7

=== debian/changelog ===
sphinx (7.3.7-3) unstable; urgency=medium

  * Backport upstream patch to fix support for data: URIs in builders that
    do not support them natively (closes: #1073500).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 03 Jul 2024 10:18:22 +0300

sphinx (7.3.7-2) experimental; urgency=medium

  * Make python3-sphinx depend on python3-defusedxml, needed by
    sphinx.testing.util module.
  * Remove no longer needed test dependencies (thanks Piotr Ożarowski):
    - python3-sphinxcontrib.websupport
    - python3-sqlalchemy
    - python3-whoosh
    - python3-xapian
  * Backport upstream patch to fix tests with Python 3.12.4.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 13 Jun 2024 20:51:07 +0300

sphinx (7.3.7-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - python_3.11.7.diff
    - python_3.12.3.diff
    - reproducible_searchindex.diff
  * Drop skip_tests_network.diff (closes: #1069774).
  * Drop support_old_search_indexes.diff. Bookworm has Sphinx 5.3, so it
    does not make sense to support older indexes anymore.
  * Refresh other patches.
  * Update path of ignored test file in debian/rules.
  * Bump required python3-alabaster version to 0.7.14.
  * Add dvisvgm to test dependencies and Suggests.
  * Add cython3, gcc and python3-all-dev to test dependencies.
  * Add python3-defusedxml to test dependencies.
  * dh_sphinxdoc: Support loading searchindex.js with defer="defer".
  * Install AUTHORS and CHANGES files with .rst extension.
  * Remove debian/python3-sphinx.preinst, no longer needed.
  * Update numbers in debian/jstest/run-tests.
  * Update debian/copyright.
  * dh_sphinxdoc: Bump minimum dependency version for searchtools.js.
  * Update the command to replace links to docutils documentation.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jun 2024 16:35:21 +0300

sphinx (7.2.6-8) unstable; urgency=medium

  * Backport upstream patch to make searchindex.js deterministic (closes:
    #1071719).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 24 May 2024 16:08:24 +0300

sphinx (7.2.6-7) unstable; urgency=medium

  * Backport upstream patch to fix test failure with Python 3.12.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 10 May 2024 21:42:01 +0300

=== debian/control ===
Source: sphinx
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>
Homepage: https://www.sphinx-doc.org/
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: cython3 <!nocheck>,
                     dh-python (>= 3.20180313~),
                     dpkg-dev (>= 1.17.14),
                     dvipng <!nocheck>,
                     dvisvgm <!nocheck>,
                     flit (>= 3.7),
                     fonts-freefont-otf,
                     graphviz,
                     imagemagick-6.q16,
                     libjs-jquery (>= 1.4),
                     libjs-underscore,
                     libjson-perl <!nodoc>,
                     librsvg2-bin,
                     perl,
                     pybuild-plugin-pyproject,
                     python-requests-doc <!nodoc>,
                     python3-alabaster (>= 0.7.14),
                     python3-all (>= 3.3.3-1~),
                     python3-all-dev <!nocheck>,
                     python3-babel (>= 1.3),
                     python3-defusedxml <!nocheck>,
                     python3-doc <!nodoc>,
                     python3-docutils (>= 0.18.1),
                     python3-filelock <!nocheck>,
                     python3-html5lib <!nocheck>,
                     python3-imagesize,
                     python3-jinja2 (>= 2.3),
                     python3-lib2to3,
                     python3-packaging,
                     python3-pygments (>= 2.14),
                     python3-pytest <!nocheck>,
                     python3-requests (>= 2.25.0),
                     python3-setuptools,
                     python3-snowballstemmer (>= 1.1),
                     python3-sphinxcontrib.websupport <!nodoc>,
                     tex-gyre,
                     texinfo,
                     texlive-fonts-recommended,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     texlive-luatex,
                     texlive-xetex
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx

Package: python3-sphinx
Architecture: all
Depends: python3-defusedxml (>= 0.7.1),
         sphinx-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: make, python3-pil
Suggests: dvipng,
          dvisvgm,
          fonts-freefont-otf,
          imagemagick-6.q16,
          latexmk,
          libjs-mathjax,
          python3-lib2to3,
          python3-sphinx-rtd-theme,
          sphinx-doc,
          tex-gyre,
          texlive-fonts-recommended,
          texlive-latex-extra,
          texlive-latex-recommended,
          texlive-plain-generic
Provides: sphinx (= ${binary:Version})
Breaks: python-flask-restful-doc (<< 0.3.10-2),
        python-pylatex-doc (<< 1.4.2-3),
        python3-breathe (<< 4.15),
        python3-nbsphinx (<< 0.8.7),
        python3-sphinx-celery (<< 2.0.0),
        python3-sphinx-rtd-theme (<< 1.2.0+dfsg-2~),
        python3-sphinx-tabs (<< 3.4.0),
        python3-sphinxcontrib.serializinghtml (<< 1.1.5),
        python3-sphinxcontrib.websupport (<< 1.1.2)
Conflicts: python-sphinx
Description: documentation generator for Python projects
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including docstrings from Python modules.
 .
 Build-depend on sphinx if your package uses /usr/bin/sphinx-*
 executables. Build-depend on python3-sphinx if your package uses
 the Python API (for instance by calling python3 -m sphinx).

Package: sphinx-common
Architecture: all
Multi-Arch: foreign
Depends: libjs-sphinxdoc (= ${source:Version}),
         libjson-perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: python3-sphinx
Conflicts: python-sphinx (<< 1.1)
Replaces: python-sphinx (<< 1.1)
Provides: dh-sequence-sphinxdoc
Description: documentation generator for Python projects - common data
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package includes manual pages, templates, translations and other data
 files.

Package: sphinx-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Conflicts: python-sphinx (<< 1.1)
Replaces: python-sphinx (<< 1.1)
Depends: docutils-doc,
         libjs-mathjax,
         python-requests-doc,
         python3-doc,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: documentation generator for Python projects - documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package includes documentation of Sphinx itself.

Package: libjs-sphinxdoc
Section: javascript
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery (>= 1.11.1), libjs-underscore (>= 1.3.1), ${misc:Depends}
Description: JavaScript support for Sphinx documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package provides JavaScript code for documentation generated by Sphinx.

=== debian/tests/control ===
Tests: python3-sphinx
Depends: cython3,
         dvipng,
         dvisvgm,
         fonts-freefont-otf,
         gcc,
         graphviz,
         imagemagick-6.q16,
         librsvg2-bin,
         python3-all-dev,
         python3-defusedxml,
         python3-filelock,
         python3-html5lib,
         python3-pytest,
         python3-setuptools,
         python3-sphinx,
         tex-gyre,
         texinfo,
         texlive-fonts-recommended,
         texlive-latex-extra,
         texlive-luatex,
         texlive-xetex

Tests: sphinx-doc
Depends: python3-pyqt6.qtwebengine, sphinx-doc, xauth, xvfb
Restrictions: allow-stderr
Architecture: amd64 i386

## sphinx 7.4.7

=== debian/changelog ===
sphinx (7.4.7-4) unstable; urgency=medium

  * Backport upstream patch to ensure deterministic resolution of toctree
    (closes: #1050693).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 21:53:47 +0300

sphinx (7.4.7-3) unstable; urgency=medium

  * Team Upload
  * Remove Build-Depends: and Suggests: on deprecated python3-lib2to3.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 23 Aug 2024 08:32:51 +0200

sphinx (7.4.7-2) unstable; urgency=medium

  * Merge 7.3.7-4 upload from unstable.
  * Drop docutils_manpage_macros.diff, no longer needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 05 Aug 2024 15:08:07 +0300

sphinx (7.4.7-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - python_3.12.4.diff
    - data_uris.diff
  * Refresh and rebase other patches.
  * Bump dependency versions according to pyproject.toml.
  * Add python3-typing-extensions to tests dependencies.
  * Update for renaming *.css_t to *.css.jinja.
  * Override new false positive Lintian errors.
  * Update numbers in debian/jstest/run-tests.
  * Bump required version for searchtools.js in debian/dh-sphinxdoc/index.
  * Suggest texlive-fonts-extra (for fontawesome5 package).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 Jul 2024 19:09:09 +0300

sphinx (7.3.7-4) unstable; urgency=medium

  [ Miriam España Acebal ]
  * dh_sphinxdoc: Add quantifier for capture group (?:="defer")
    (closes: #1076969, LP: #2074525).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 30 Jul 2024 12:04:38 +0300

=== debian/control ===
--- 
+++ 
@@ -24,22 +24,22 @@
                      python3-alabaster (>= 0.7.14),
                      python3-all (>= 3.3.3-1~),
                      python3-all-dev <!nocheck>,
-                     python3-babel (>= 1.3),
+                     python3-babel (>= 2.13),
                      python3-defusedxml <!nocheck>,
                      python3-doc <!nodoc>,
-                     python3-docutils (>= 0.18.1),
+                     python3-docutils (>= 0.20),
                      python3-filelock <!nocheck>,
                      python3-html5lib <!nocheck>,
                      python3-imagesize,
-                     python3-jinja2 (>= 2.3),
-                     python3-lib2to3,
-                     python3-packaging,
-                     python3-pygments (>= 2.14),
-                     python3-pytest <!nocheck>,
-                     python3-requests (>= 2.25.0),
-                     python3-setuptools,
-                     python3-snowballstemmer (>= 1.1),
+                     python3-jinja2 (>= 3.1),
+                     python3-packaging (>= 23.0),
+                     python3-pygments (>= 2.17),
+                     python3-pytest (>= 8.0) <!nocheck>,
+                     python3-requests (>= 2.30.0),
+                     python3-setuptools (>= 70.0),
+                     python3-snowballstemmer (>= 2.2),
                      python3-sphinxcontrib.websupport <!nodoc>,
+                     python3-typing-extensions (>= 4.9) <!nocheck>,
                      tex-gyre,
                      texinfo,
                      texlive-fonts-recommended,
@@ -65,10 +65,10 @@
           imagemagick-6.q16,
           latexmk,
           libjs-mathjax,
-          python3-lib2to3,
           python3-sphinx-rtd-theme,
           sphinx-doc,
           tex-gyre,
+          texlive-fonts-extra,
           texlive-fonts-recommended,
           texlive-latex-extra,
           texlive-latex-recommended,

=== debian/tests/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
          python3-pytest,
          python3-setuptools,
          python3-sphinx,
+         python3-typing-extensions (>= 4.9),
          tex-gyre,
          texinfo,
          texlive-fonts-recommended,

## sphinx 8.1.3

=== debian/changelog ===
sphinx (8.1.3-5) unstable; urgency=medium

  * Switch from MathJax 2 to MathJax 3.
  * Sort Build-Depends with wrap-and-sort from devscripts ≥ 2.24.8.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 31 Jan 2025 13:28:15 +0300

sphinx (8.1.3-4) unstable; urgency=medium

  * No-change reupload with 2025 in changelog (closes: #1091951).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 07 Jan 2025 23:53:26 +0300

sphinx (8.1.3-3) unstable; urgency=medium

  * Do not perform any timezone conversions if SOURCE_DATE_EPOCH is set
    (closes: #1090724).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Dec 2024 19:51:52 +0300

sphinx (8.1.3-2) unstable; urgency=medium

  * Switch from imagemagick-6.q16 to unversioned imagemagick.
  * Move dh-python and pybuild-plugin-pyproject from Build-Depends-Indep
    to Build-Depends, as they are needed for source build.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 11 Dec 2024 13:50:42 +0300

sphinx (8.1.3-1) experimental; urgency=medium

  * New upstream release.
  * Drop deterministic_toctree.diff, included in the new release.
  * Refresh and rebase other patches.
  * Bump required version for searchtools.js in debian/dh-sphinxdoc/index.
  * Update numbers in debian/jstest/run-tests.
  * Make blhc ignore "compiling catalogue" lines.
  * Add a patch to fix failure in test_format_date_timezone().
  * Add a patch to update broken_argparse check for Debian.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 17 Nov 2024 14:13:18 +0300

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Homepage: https://www.sphinx-doc.org/
-Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: cython3 <!nocheck>,
-                     dh-python (>= 3.20180313~),
-                     dpkg-dev (>= 1.17.14),
+Build-Depends: debhelper-compat (= 13),
+               dh-python (>= 3.20180313~),
+               pybuild-plugin-pyproject
+Build-Depends-Indep: dpkg-dev (>= 1.17.14),
+                     cython3 <!nocheck>,
                      dvipng <!nocheck>,
                      dvisvgm <!nocheck>,
                      flit (>= 3.7),
                      fonts-freefont-otf,
                      graphviz,
-                     imagemagick-6.q16,
+                     imagemagick,
                      libjs-jquery (>= 1.4),
                      libjs-underscore,
                      libjson-perl <!nodoc>,
                      librsvg2-bin,
                      perl,
-                     pybuild-plugin-pyproject,
                      python-requests-doc <!nodoc>,
                      python3-alabaster (>= 0.7.14),
                      python3-all (>= 3.3.3-1~),
@@ -62,9 +62,9 @@
 Suggests: dvipng,
           dvisvgm,
           fonts-freefont-otf,
-          imagemagick-6.q16,
+          imagemagick,
           latexmk,
-          libjs-mathjax,
+          node-mathjax-full (>= 3.2.2+~cs4.2.1-4~),
           python3-sphinx-rtd-theme,
           sphinx-doc,
           tex-gyre,
@@ -127,7 +127,7 @@
 Conflicts: python-sphinx (<< 1.1)
 Replaces: python-sphinx (<< 1.1)
 Depends: docutils-doc,
-         libjs-mathjax,
+         node-mathjax-full (>= 3.2.2+~cs4.2.1-4~),
          python-requests-doc,
          python3-doc,
          ${misc:Depends},

## sphinx 8.2.3

=== debian/changelog ===
sphinx (8.2.3-8) unstable; urgency=medium

  * Add a patch to bump docutils upper limit to 0.23 (closes: #1118469).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 20 Oct 2025 23:14:17 +0300

sphinx (8.2.3-7) unstable; urgency=medium

  * Add a patch to make the tests pass with Docutils ≥ 0.22.1.
  * Drop ‘Rules-Requires-Root: no’, it became default in dpkg 1.22.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 01 Oct 2025 21:15:17 +0300

sphinx (8.2.3-6) unstable; urgency=medium

  * Remove the old compatibility symlinks again.
  * Make dh_sphinxdoc ignore legacy dependencies if they do not exist.
  * Remove no longer needed Lintian overrides.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 06 Sep 2025 16:56:11 +0300

sphinx (8.2.3-5) unstable; urgency=medium

  * Team upload.
  * Temporarily revert the removal of jQuery from 8.2.3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Sep 2025 09:59:59 +0200

sphinx (8.2.3-4) unstable; urgency=medium

  * Remove jquery.js and underscore.js compatibility symlinks completely
    (closes: #1114037).
  * Amend remove_contrib_references.diff: try to load first-party extensions,
    but ignore errors (closes: #1112319, thanks Erin of Yukis).
  * Drop obsolete Breaks, Replaces and Conflicts.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 05 Sep 2025 22:20:42 +0300

sphinx (8.2.3-3) unstable; urgency=medium

  * Team Upload
  * Usage of jQuery was dropped since sphinx 6.0
    * Remove libjs-jquery & libjs-underscore from Build-Depends:
    * libjs-sphinxdoc: lessen the priority of these libraries referenced
                       by compatibility symlinks from Depends: to Recommends:

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Sep 2025 17:02:16 +0200

sphinx (8.2.3-2) unstable; urgency=medium

  * Backport upstream patch to make the tests pass with Docutils 0.22.
  * Break python3-sphinx-autodoc-typehints < 3.1.0.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Aug 2025 12:05:30 +0300

sphinx (8.2.3-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches:
    - fix_test_format_date_timezone.diff (included in the new release)
    - source_date_epoch.diff (included in the new release)
    - broken_argparse.diff (was needed only for Python 3.13.0)
  * Refresh other patches.
  * Bump required flit version to 3.11 (per pyproject.toml).
  * Build-depend on python3-roman-numerals.
  * Bump required version for searchtools.js in debian/dh-sphinxdoc/index.
  * Update debian/copyright.
  * Adapt package_dir replacement code in debian/rules to the new version.
  * Update numbers in debian/jstest/run-tests.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Apr 2025 22:54:46 +0300

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export LC_ALL=C.UTF-8
 export PYTHONWARNINGS=d
 
-export PYBUILD_TEST_ARGS=--verbose --ignore tests/test_api_translator.py
+export PYBUILD_TEST_ARGS=--verbose --ignore tests/test_writers/test_api_translator.py
 
 locales = $(notdir $(patsubst %/LC_MESSAGES,%,$(wildcard sphinx/locale/*/LC_MESSAGES)))
 
@@ -22,7 +22,7 @@
 ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
 	PYTHONPATH=$(py3_builddir) python3 ./sphinx/cmd/build.py -T doc build/html/
 	find build/html/ -name '*.txt' -or -name '*.html' | xargs -L1 sed -i \
-		's!http://docutils.sourceforge.net/docs/!file:///usr/share/doc/docutils-doc/docs/!g'
+		's!https://docutils.sourceforge.io/docs/!file:///usr/share/doc/docutils-doc/docs/!g'
 	PYTHONPATH=$(py3_builddir) python3 ./sphinx/cmd/build.py -T -b man doc build/man
 endif
 	PYTHONPATH=$(py3_builddir) python3 ./utils/babel_runner.py compile
@@ -30,7 +30,7 @@
 override_dh_auto_install:
 	pybuild --install -p $(shell py3versions -vd)
 	# move static files outside dist-packages
-	sed -i -e "s!^package_dir = .*!package_dir = '/usr/share/sphinx'!" \
+	sed -i -e "s!^package_dir: Final = .*!package_dir: Final = _StrPath('/usr/share/sphinx')!" \
 		$(debroot)$(py3_libdir)/sphinx/__init__.py
 	mkdir -p $(debroot)/usr/share/sphinx
 	cd $(debroot) && mv -t usr/share/sphinx/ \
@@ -64,7 +64,7 @@
 	done
 
 override_dh_installchangelogs:
-	dh_installchangelogs CHANGES
+	dh_installchangelogs CHANGES.rst
 
 override_dh_installdocs:
 	dh_installdocs

=== debian/watch ===
version=4
https://pypi.debian.net/Sphinx/[Ss]phinx-([\d.]+)\.tar\.gz

## sphinx 9.0.4

=== debian/changelog ===
sphinx (9.0.4-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - docutils_0.22.diff
    - docutils_0.22.1.diff
    - docutils_upper_limit.diff
    - latex_footnote_french.diff
    - python3.14_autosummary.diff
    - python3.14_typing.diff
    - python3.14_autodoc.diff
    - roman-numerals-package-name.patch
  * Refresh other patches.
  * Bump required flit version to 3.11 (per pyproject.toml).
  * Update debian/watch to use version 5 and Pypi template.
  * Bump minimum versions in debian/dh-sphinxdoc/index.
  * Remove mentions of Sphinx.egg-info, flit does not generate it.
  * Regenerate minified-js and Python stopwords files during build.
  * Update numbers in debian/jstest/run-tests.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Dec 2025 21:33:08 +0300

sphinx (8.2.3-12) unstable; urgency=medium

  * Team upload.
  * Use new package name for roman-numerals (closes: #1123782).

 -- Colin Watson <cjwatson@debian.org>  Tue, 23 Dec 2025 11:28:26 +0000

sphinx (8.2.3-11) unstable; urgency=medium

  * Depend on libgvplugin-neato-layout and libgvplugin-pango for the tests
    (closes: #1122119, thanks László Böszörményi).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Dec 2025 20:20:57 +0300

sphinx (8.2.3-10) unstable; urgency=medium

  * Backport upstream commits to fix tests with Python 3.14 (LP: #2133023).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Nov 2025 20:54:23 +0300

sphinx (8.2.3-9) unstable; urgency=medium

  * Backport upstream patch to fix PDF build of French documents with
    footnotes (closes: #1114478).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 15 Nov 2025 15:07:35 +0300

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                      cython3 <!nocheck>,
                      dvipng <!nocheck>,
                      dvisvgm <!nocheck>,
-                     flit (>= 3.7),
+                     flit (>= 3.12),
                      fonts-freefont-otf,
                      graphviz,
                      imagemagick,
-                     libjs-jquery (>= 1.4),
-                     libjs-underscore,
+                     libgvplugin-neato-layout,
+                     libgvplugin-pango,
                      libjson-perl <!nodoc>,
                      librsvg2-bin,
                      perl,
@@ -36,6 +36,7 @@
                      python3-pygments (>= 2.17),
                      python3-pytest (>= 8.0) <!nocheck>,
                      python3-requests (>= 2.30.0),
+                     python3-roman-numerals,
                      python3-setuptools (>= 70.0),
                      python3-snowballstemmer (>= 2.2),
                      python3-sphinxcontrib.websupport <!nodoc>,
@@ -46,9 +47,9 @@
                      texlive-latex-extra,
                      texlive-latex-recommended,
                      texlive-luatex,
-                     texlive-xetex
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+                     texlive-xetex,
+                     uglifyjs
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx
 
@@ -74,16 +75,7 @@
           texlive-latex-recommended,
           texlive-plain-generic
 Provides: sphinx (= ${binary:Version})
-Breaks: python-flask-restful-doc (<< 0.3.10-2),
-        python-pylatex-doc (<< 1.4.2-3),
-        python3-breathe (<< 4.15),
-        python3-nbsphinx (<< 0.8.7),
-        python3-sphinx-celery (<< 2.0.0),
-        python3-sphinx-rtd-theme (<< 1.2.0+dfsg-2~),
-        python3-sphinx-tabs (<< 3.4.0),
-        python3-sphinxcontrib.serializinghtml (<< 1.1.5),
-        python3-sphinxcontrib.websupport (<< 1.1.2)
-Conflicts: python-sphinx
+Breaks: python3-sphinx-autodoc-typehints (<< 3.1.0)
 Description: documentation generator for Python projects
  Sphinx is a tool for producing documentation for Python projects, using
  reStructuredText as markup language.
@@ -109,8 +101,6 @@
          ${misc:Depends},
          ${perl:Depends}
 Recommends: python3-sphinx
-Conflicts: python-sphinx (<< 1.1)
-Replaces: python-sphinx (<< 1.1)
 Provides: dh-sequence-sphinxdoc
 Description: documentation generator for Python projects - common data
  Sphinx is a tool for producing documentation for Python projects, using
@@ -124,8 +114,6 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Conflicts: python-sphinx (<< 1.1)
-Replaces: python-sphinx (<< 1.1)
 Depends: docutils-doc,
          node-mathjax-full (>= 3.2.2+~cs4.2.1-4~),
          python-requests-doc,
@@ -142,7 +130,7 @@
 Section: javascript
 Architecture: all
 Multi-Arch: foreign
-Depends: libjs-jquery (>= 1.11.1), libjs-underscore (>= 1.3.1), ${misc:Depends}
+Depends: ${misc:Depends}
 Description: JavaScript support for Sphinx documentation
  Sphinx is a tool for producing documentation for Python projects, using
  reStructuredText as markup language.

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,11 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
+	set -e; \
+	cd sphinx/search; for f in $$(ls non-minified-js); do \
+		uglifyjs non-minified-js/$$f --compress --mangle --output minified-js/$$f; \
+	done
+	python3 ./utils/generate_snowball.py
 	dh_auto_build
 ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
 	PYTHONPATH=$(py3_builddir) python3 ./sphinx/cmd/build.py -T doc build/html/

## sphinx 9.1.0

=== debian/changelog ===
sphinx (9.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump the required version of docutils to 0.21.
  * Refresh patches for the new release.
  * Drop ‘Priority: optional’, it became default in dpkg 1.22.12.
  * Bump Standards-Version to 4.7.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Jan 2026 22:31:51 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sphinx
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Homepage: https://www.sphinx-doc.org/
@@ -27,7 +26,7 @@
                      python3-babel (>= 2.13),
                      python3-defusedxml <!nocheck>,
                      python3-doc <!nodoc>,
-                     python3-docutils (>= 0.20),
+                     python3-docutils (>= 0.21),
                      python3-filelock <!nocheck>,
                      python3-html5lib <!nocheck>,
                      python3-imagesize,
@@ -49,7 +48,7 @@
                      texlive-luatex,
                      texlive-xetex,
                      uglifyjs
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx

=== debian/watch ===
Version: 5

Template: Pypi
Dist: sphinx

## sphinx autofixture-0.3.0

=== requirements.txt ===
domdf-python-tools>=1.5.0
sphinx<3.6.0,>=3.0.3
sphinx-jinja2-compat>=0.1.2

## sphinx autofixture-0.4.1

=== requirements.txt ===
domdf-python-tools>=3.0.0
sphinx>=3.0.3
sphinx-jinja2-compat>=0.1.2

## sphinx immaterial-0.8.0

=== requirements.txt ===
sphinx>=4.0
markupsafe
pydantic
typing-extensions

=== docs/requirements.txt ===
sphinx_immaterial[json,clang-format,keys]
sphinxcontrib-details-directive
sphinx-jinja

## sphinx immaterial-0.11.0

=== requirements.txt ===
sphinx>=4.0
markupsafe
pydantic
typing-extensions
appdirs
requests

=== docs/requirements.txt ===
sphinx_immaterial[json,clang-format,keys,cpp]
sphinxcontrib-details-directive
sphinx-jinja

=== tests/requirements.txt ===
pytest
pytest-snapshot
pyyaml
tests/issue_134/sphinx-immaterial-pybind11-issue-134

## sphinx lesson-0.8.3

=== requirements.txt ===
sphinx
sphinx_rtd_theme
sphinx_copybutton
sphinx_minipres
sphinx_tabs
sphinx_togglebutton>=0.2.0
sphinx-autobuild
#myst_parser[sphinx]
myst_nb>0.8.3
sphinx_rtd_theme_ext_color_contrast

## sphinx lesson-0.8.13

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-sphinx
+sphinx!=5.2.0.post0    # remove after next release
 sphinx_rtd_theme
 sphinx_copybutton
 sphinx_minipres

## sphinx licenseinfo-0.1.0

=== requirements.txt ===
dist-meta>=0.1.2
docutils==0.16
domdf-python-tools>=3.0.0
jinja2>=3.0.1
pychoosealicense>=0.2.0
sphinx<4.0.0,>=3.0.3
sphinx-toolbox>=2.13.0

## sphinx licenseinfo-0.1.1

=== requirements.txt ===
dist-meta>=0.1.2
docutils==0.16
domdf-python-tools>=3.0.0
jinja2>=2.10.0
pychoosealicense>=0.2.0
sphinx<4.0.0,>=3.2.0
sphinx-toolbox>=2.13.0

## sphinx licenseinfo-0.1.2

=== requirements.txt ===
dist-meta>=0.1.2
docutils==0.16
domdf-python-tools>=3.0.0
jinja2>=2.11.3
pychoosealicense>=0.2.0
sphinx<4.0.0,>=3.2.0
sphinx-toolbox>=2.13.0

## sphinx licenseinfo-0.3.0

=== requirements.txt ===
dist-meta>=0.1.2
docutils==0.16
domdf-python-tools>=3.0.0
jinja2>=2.11.3
pychoosealicense>=0.2.0
sphinx<4.4.0,>=3.2.0
sphinx-toolbox>=2.13.0

## sphinx licenseinfo-0.3.1

=== requirements.txt ===
dist-meta>=0.1.2
docutils==0.16
domdf-python-tools>=3.0.0
jinja2<3.1,>=2.11.3
pychoosealicense>=0.2.0
sphinx<4.4.0,>=3.2.0
sphinx-toolbox>=2.13.0

## sphinx material-0.0.29

=== requirements.txt ===
sphinx>=2.0
beautifulsoup4
python-slugify[unidecode]
css_html_js_minify
lxml
slugify

## sphinx material-0.0.35

=== requirements.txt ===
sphinx>=2.0
beautifulsoup4
python-slugify[unidecode]
css_html_js_minify
lxml

## sphinx packaging-0.1.1

=== requirements.txt ===
docutils==0.16
domdf-python-tools>=3.0.0
sphinx<4.0.0,>=3.0.3
sphinx-jinja2-compat>=0.1.0

## sphinx pyproject-0.1.0

=== requirements.txt ===
dom-toml>=0.3.0
domdf-python-tools>=2.7.0

## sphinx toolbox-2.1.0

=== requirements.txt ===
apeye>=0.0.4
autodocsumm>=0.2.0
beautifulsoup4>=4.9.1
consolekit>=0.3.1
dict2css>=0.1.0
docutils>=0.16
domdf-python-tools>=0.8.0
html5lib>=1.1
ruamel-yaml>=0.16.12
sphinx<3.4.0,>=3.2.0
sphinx-autodoc-typehints==1.11.1
sphinx-prompt>=1.1.0
sphinx-tabs<2.1.0,>=1.2.1
tabulate>=0.8.7
typing-extensions>=3.7.4.3
typing-inspect>=0.6.0; python_version < "3.8"

## sphinx toolbox-2.3.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 beautifulsoup4>=4.9.1
 consolekit>=0.3.1
 dict2css>=0.1.0
-docutils>=0.16
+docutils==0.16
 domdf-python-tools>=0.8.0
 html5lib>=1.1
 ruamel-yaml>=0.16.12

## sphinx toolbox-2.10.0

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 autodocsumm>=0.2.0
 beautifulsoup4>=4.9.1
 consolekit>=0.3.1
+deprecation-alias>=0.2.0
 dict2css>=0.1.0
 docutils==0.16
 domdf-python-tools>=0.8.0

## sphinx toolbox-2.10.1

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-apeye>=0.0.4
+apeye[limiter]>=0.6.0
 autodocsumm>=0.2.0
 beautifulsoup4>=4.9.1
 consolekit>=0.3.1

## sphinx toolbox-2.11.0

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-apeye[limiter]>=0.6.0
-autodocsumm>=0.2.0
+apeye>=0.0.4
+autodocsumm<0.2.3,>=0.2.0
 beautifulsoup4>=4.9.1
 consolekit>=0.3.1
 deprecation-alias>=0.2.0
@@ -7,6 +7,8 @@
 docutils==0.16
 domdf-python-tools>=0.8.0
 html5lib>=1.1
+jinja2<3.0.0
+markupsafe<2.0.0
 ruamel-yaml>=0.16.12
 sphinx<3.4.0,>=3.2.0
 sphinx-autodoc-typehints==1.11.1

## sphinx toolbox-2.11.1

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 apeye>=0.0.4
 autodocsumm<0.2.3,>=0.2.0
 beautifulsoup4>=4.9.1
+cachecontrol[filecache]>=0.12.6
 consolekit>=0.3.1
 deprecation-alias>=0.2.0
 dict2css>=0.1.0

## sphinx toolbox-2.12.1

=== requirements.txt ===
--- 
+++ 
@@ -1,12 +1,11 @@
-apeye>=0.0.4
+apeye[limiter]>=0.9.0
 autodocsumm<0.2.3,>=0.2.0
 beautifulsoup4>=4.9.1
-cachecontrol[filecache]>=0.12.6
 consolekit>=0.3.1
 deprecation-alias>=0.2.0
 dict2css>=0.1.0
 docutils==0.16
-domdf-python-tools>=0.8.0
+domdf-python-tools>=2.9.0
 html5lib>=1.1
 jinja2<3.0.0
 markupsafe<2.0.0

## sphinx toolbox-2.13.0

=== requirements.txt ===
--- 
+++ 
@@ -3,14 +3,12 @@
 beautifulsoup4>=4.9.1
 consolekit>=0.3.1
 deprecation-alias>=0.2.0
-dict2css>=0.1.0
+dict2css>=0.2.3
 docutils==0.16
 domdf-python-tools>=2.9.0
 html5lib>=1.1
-jinja2<3.0.0
-markupsafe<2.0.0
 ruamel-yaml>=0.16.12
-sphinx<3.4.0,>=3.2.0
+sphinx<3.6.0,>=3.2.0
 sphinx-autodoc-typehints==1.11.1
 sphinx-prompt>=1.1.0
 sphinx-tabs<2.1.0,>=1.2.1

## sphinx toolbox-2.13.0b1

=== requirements.txt ===
--- 
+++ 
@@ -7,8 +7,10 @@
 docutils==0.16
 domdf-python-tools>=2.9.0
 html5lib>=1.1
+jinja2<3.0.0
+markupsafe<2.0.0
 ruamel-yaml>=0.16.12
-sphinx<3.6.0,>=3.2.0
+sphinx<3.5.0,>=3.2.0
 sphinx-autodoc-typehints==1.11.1
 sphinx-prompt>=1.1.0
 sphinx-tabs<2.1.0,>=1.2.1

## sphinx toolbox-2.13.0b2

=== requirements.txt ===
--- 
+++ 
@@ -7,8 +7,6 @@
 docutils==0.16
 domdf-python-tools>=2.9.0
 html5lib>=1.1
-jinja2<3.0.0
-markupsafe<2.0.0
 ruamel-yaml>=0.16.12
 sphinx<3.5.0,>=3.2.0
 sphinx-autodoc-typehints==1.11.1

## sphinx toolbox-2.14.1

=== requirements.txt ===
--- 
+++ 
@@ -8,10 +8,10 @@
 domdf-python-tools>=2.9.0
 html5lib>=1.1
 ruamel-yaml>=0.16.12
-sphinx<3.5.0,>=3.2.0
+sphinx<4.1,>=3.2.0
 sphinx-autodoc-typehints==1.11.1
 sphinx-prompt>=1.1.0
-sphinx-tabs<2.1.0,>=1.2.1
+sphinx-tabs<=3.2.0,>=1.2.1
 tabulate>=0.8.7
-typing-extensions>=3.7.4.3
+typing-extensions!=3.10.0.1,>=3.7.4.3
 typing-inspect>=0.6.0; python_version < "3.8"

## sphinx toolbox-2.15.0

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 apeye[limiter]>=0.9.0
-autodocsumm<0.2.3,>=0.2.0
+autodocsumm>=0.2.0
 beautifulsoup4>=4.9.1
 consolekit>=0.3.1
 deprecation-alias>=0.2.0
@@ -8,7 +8,7 @@
 domdf-python-tools>=2.9.0
 html5lib>=1.1
 ruamel-yaml>=0.16.12
-sphinx<4.1,>=3.2.0
+sphinx<4.3,>=3.2.0
 sphinx-autodoc-typehints==1.11.1
 sphinx-prompt>=1.1.0
 sphinx-tabs<=3.2.0,>=1.2.1

## sphinx toolbox-2.15.1

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 docutils==0.16
 domdf-python-tools>=2.9.0
 html5lib>=1.1
-ruamel-yaml>=0.16.12
+ruamel.yaml>=0.16.12
 sphinx<4.3,>=3.2.0
 sphinx-autodoc-typehints==1.11.1
 sphinx-prompt>=1.1.0

## sphinx toolbox-2.15.2

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 domdf-python-tools>=2.9.0
 html5lib>=1.1
 ruamel.yaml>=0.16.12
-sphinx<4.3,>=3.2.0
+sphinx<4.4,>=3.2.0
 sphinx-autodoc-typehints==1.11.1
 sphinx-prompt>=1.1.0
 sphinx-tabs<=3.2.0,>=1.2.1
